Name:           esptool
Version:        2.0.1
Release:        1%{?dist}
Summary:        A utility to communicate with the ROM bootloader in Espressif ESP8266

License:        GPLv2+
URL:            https://github.com/themadinventor/%{name}
Source0:        https://files.pythonhosted.org/packages/source/e/%{name}/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-flake8

Requires:       python3-ecdsa
Requires:       python3-pyaes
Requires:       python3-pyserial

Provides:       %{name}.py = %{version}-%{release}

%description
%{name}.py A command line utility to communicate with the ROM bootloader in
Espressif ESP8266 WiFi microcontroller. Allows flashing firmware, reading back
firmware, querying chip parameters, etc. Developed by the community, not by
Espressif Systems.


%prep
%autosetup
sed -i 's|#!/usr/bin/env python|#!%{__python3}|' esp*.py
sed -i 2d %{name}.py

%build
%py3_build

# Shebangs in site-packages
sed -i 1d build/lib/*.py

%install
%py3_install
for NAME in %{name} espefuse espsecure ; do
  ln -s ./$NAME.py %{buildroot}%{_bindir}/$NAME
done


%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_bindir}/%{name}.py
%{_bindir}/espefuse
%{_bindir}/espefuse.py
%{_bindir}/espsecure
%{_bindir}/espsecure.py
%{python3_sitelib}/esp*.py*
%{python3_sitelib}/%{name}-%{version}-py?.?.egg-info
%{python3_sitelib}/__pycache__/esp*.*.pyc

%changelog
* Mon Jun 26 2017 Miro Hrončok <mhroncok@redhat.com> - 2.0.1-1
- New version 2.0.1 (#1465005)

* Thu Jun 22 2017 Miro Hrončok <mhroncok@redhat.com> - 2.0-1
- New version 2.0 (#1425422)

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jan 10 2017 Miro Hrončok <mhroncok@redhat.com> - 1.3-1
- New version (#1392643)
- Use Python 3

* Tue Sep 06 2016 Miro Hrončok <mhroncok@redhat.com> - 1.1-1
- Initial package.
